Plug

Functions
Plug
Elementary

## Functions
Efl_Canvas_Object * | elm_plug_image_object_get (const Elm_Plug *obj)
| Get the basic Evas_Image object from this object (widget). More...
Eina_Bool | elm_plug_connect (Elm_Plug *obj, const char *svcname, int svcnum, Eina_Bool svcsys)
| Connect a plug widget to service provided by socket image. More...
Evas_Object * | elm_plug_add (Evas_Object *parent)
| Add a new plug image to the parent. More...

## Detailed Description

An object that allows one to show an image which other process created. It can be used anywhere like any other elementary widget.

This widget emits the following signals:

- "clicked": the user clicked the image (press/release). The `event` parameter of the callback will be `NULL`.
- "image,deleted": the server side was deleted. The `event` parameter of the callback will be `NULL`.
- "image,resized": the server side was resized. The `event` parameter of the callback will be `Evas_Coord_Size` (two integers).

Note
  the event "image,resized" will be sent whenever the server resized its image and this always happen on the first time. Then it can be used to track when the server-side image is fully known (client connected to server, retrieved its image buffer through shared memory and resized the evas object).

## Function Documentation

## ◆ elm_plug_image_object_get()

Efl_Canvas_Object* elm_plug_image_object_get | ( | const Elm_Plug * | obj | ) |

Get the basic Evas_Image object from this object (widget).

This function allows one to get the underlying Evas object of type Image from this elementary widget. It can be useful to do things like get the pixel data, save the image to a file, etc.

Note
  Be careful to not manipulate it, as it is under control of elementary.

Parameters

  [in] | obj | The object.

Returns
  The inlined image object or `null`.

## ◆ elm_plug_connect()

Eina_Bool elm_plug_connect | ( | Elm_Plug * | obj,
|  | const char * | svcname,
|  | int | svcnum,
|  | Eina_Bool | svcsys
| ) |  |

Connect a plug widget to service provided by socket image.

Parameters

  [in] | obj | The object.
  [in] | svcname | The service name to connect to set up by the socket.
  [in] | svcnum | The service number to connect to (set up by socket).
  [in] | svcsys | Boolean to set if the service is a system one or not (set up by socket).

Returns
  `true` on success, `false` on error.

## ◆ elm_plug_add()

Evas_Object* elm_plug_add | ( | Evas_Object * | parent | ) |

Add a new plug image to the parent.

Parameters

  parent | The parent object

Returns
  The new plug image object or NULL if it cannot be created

References EINA_SAFETY_ON_NULL_RETURN_VAL.